import React from 'react'
import {
  BrowserRouter as Router,
  Routes,
  Route,
  Navigate,
} from 'react-router-dom'
import Main from './Main'
import Login from '../src/module/login/page/LoginView'
import Register from '../src/module/login/page/RegisterView'

export default function App() {
  return (
    <Router>
      <Routes>
        <Route path="/login" element={<Login />} />
        <Route path="/register" element={<Register />} />
        <Route path="/*" element={<Main />} />
        <Route path="/" element={<Navigate to="login" replace />} />
      </Routes>
    </Router>
  )
}
